Package com.io7m.idstore.server.api

# Record Class IdServerHTTPServiceConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerHTTPServiceConfiguration

Record Components:
  `sessionDirectory` - The directory containing session files
  `listenAddress` - The listen address
  `listenPort` - The listen port
  `externalAddress` - The externally visible address

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerHTTPServiceConfiguration(Path sessionDirectory, String listenAddress, int listenPort, URI externalAddress) extends Record implements IdServerJSONConfigurationElementType
Configuration for individual HTTP services.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerHTTPServiceConfiguration(Path sessionDirectory, String listenAddress, int listenPort, URI externalAddress)`
  Configuration for the part of the server that serves over HTTP.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `URI`
  `externalAddress()`
  Returns the value of the `externalAddress` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `listenAddress()`
  Returns the value of the `listenAddress` record component.
  `int`
  `listenPort()`
  Returns the value of the `listenPort` record component.
  `Path`
  `sessionDirectory()`
  Returns the value of the `sessionDirectory` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.api.IdServerJSONConfigurationElementType

  `schemaId`

- ## Constructor Details

  - ### IdServerHTTPServiceConfiguration

    public IdServerHTTPServiceConfiguration(Path sessionDirectory, String listenAddress, int listenPort, URI externalAddress)
    Configuration for the part of the server that serves over HTTP.
    Parameters:
      `sessionDirectory` - The directory containing session files
      `listenAddress` - The listen address
      `listenPort` - The listen port
      `externalAddress` - The externally visible address

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sessionDirectory

    public Path sessionDirectory()
    Returns the value of the `sessionDirectory` record component.
    Returns:
      the value of the `sessionDirectory` record component

  - ### listenAddress

    public String listenAddress()
    Returns the value of the `listenAddress` record component.
    Returns:
      the value of the `listenAddress` record component

  - ### listenPort

    public int listenPort()
    Returns the value of the `listenPort` record component.
    Returns:
      the value of the `listenPort` record component

  - ### externalAddress

    public URI externalAddress()
    Returns the value of the `externalAddress` record component.
    Returns:
      the value of the `externalAddress` record component